# standard evolution parameters

prop:
id:initialgen
name:Initial genotype
help:~
The gene pool will be replaced with the supplied genotype when the experiment begins.
Use the empty initial genotype if you want to preserve the current gene pool.~
type:s 1

prop:
id:capacity
name:Gene pool capacity
type:d 0 2000

prop:
id:delrule
name:Delete genotypes
type:d 0 2 ~Randomly~Inverse-proportionally to fitness~Only the worst

prop:
id:MaxCreated
name:Simulated creatures
type:d 0 50


prop:
id:p_nop
name:Unchanged
type:f 0 100
group:Selection

prop:
id:p_mut
name:Mutated
type:f 0 100
group:Selection

prop:
id:p_xov
name:Crossed over
type:f 0 100
group:Selection

prop:
id:xov_mins
name:Minimal similarity
type:f 0 9999
help:~
Only genotypes with dissimilarity below this threshold will be crossed over.
Value of 0 means no crossover restrictions.~
group:Selection

prop:
id:selrule
name:Selection rule
type:~
d 0 5 \~Random\~Fitness-proportional (roulette)\~Tournament (2 genotypes)\~Tournament (3 genotypes)\~Tournament (4 genotypes)\~Tournament (5 genotypes)~
group:Selection

prop:
id:kroki
name:Live time
type:f 0 1000
group:Brain

prop:
id:synchroniczny
name:Optimalization
type:d 0 1 ~Synchroniczna~Asynchroniczna
group:Brain